Download it now!
Bug 131708 - Sifr: Missing Table Database in Base's table list and in Data Sources
Summary: Sifr: Missing Table Database in Base's table list and in Data Sources
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords:
Depends on:
Blocks: Icon-Theme-Sifr
  Show dependency treegraph
 
Reported: 2020-03-30 12:54 UTC by Rizal Muttaqin
Modified: 2020-04-01 13:24 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sifr DB Table use Breeze version (8.87 KB, image/png)
2020-03-30 12:54 UTC, Rizal Muttaqin
Details
Sifr DB Table use its own version (1.78 KB, image/png)
2020-04-01 13:24 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-03-30 12:54:37 UTC
Created attachment 159149 [details]
Sifr DB Table use Breeze version

The Database Table in Base module and in Writer's Data Source fallbacked to Breeze

Step to reproduce:
1. Change icon theme to Sifr ( (Tools > Options> LibreOffice > View > Icon style > Sifr)

2. Open a Base file with a table or create a Writer file and then go to View > Data Sources, select a DB (we can choose Bibliography which mandatory database) and click Tables, expand it and we can see a table called biblio.

Please provide that icon
Comment 1 Xisco Faulí 2020-03-31 12:28:47 UTC
Hi Rizal,
I believe you will work on it, assigning it to you...
Comment 2 Rizal Muttaqin 2020-03-31 14:45:03 UTC
(In reply to Xisco Faulí from comment #1)
> Hi Rizal,
> I believe you will work on it, assigning it to you...

The patch has been merged to master and libreoffice-6-4 branch as well. Sorry forgot to mention the bug number

https://gerrit.libreoffice.org/c/core/+/91378

https://gerrit.libreoffice.org/c/core/+/91389

In links.txt file, there is an additional line:

res/sx03188.png cmd/sc_dbviewtables.png
Comment 3 Xisco Faulí 2020-03-31 14:48:02 UTC
Good, do not forget to close them as RESOLVED FIXED once they are fixed ;-)
Comment 4 Rizal Muttaqin 2020-03-31 14:50:21 UTC
(In reply to Xisco Faulí from comment #3)
> Good, do not forget to close them as RESOLVED FIXED once they are fixed ;-)

Sure, by God wills.

How to add target version here manually?
Comment 5 Rizal Muttaqin 2020-03-31 14:53:55 UTC
ah (In reply to Rizal Muttaqin from comment #4)
> 
> How to add target version here manually?

ah thank you Xisco
Comment 6 Rizal Muttaqin 2020-04-01 13:24:42 UTC
Created attachment 159230 [details]
Sifr DB Table use its own version

ok verified fixed in

Version: 7.0.0.0.alpha0+
Build ID: 0dd48d1a9a716456ff1ebe67e19881ad2f56939b
CPU threads: 4; OS: Linux 4.20; UI render: default; VCL: kf5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-03-31_14:07:24
Locale: id-ID (id_ID.UTF-8); UI-Language: en-US
Calc: threaded